summaryrefslogtreecommitdiffstats
path: root/system/upx/upx.SlackBuild
diff options
context:
space:
mode:
author Binh Nguyen2010-09-18 21:37:59 +0200
committer Robby Workman2010-09-22 05:11:08 +0200
commita1d08a2f5c442432b9cf083e717b8d315205dead (patch)
treeddfeb434fcabd0de3f8a48ed60494807f8efe714 /system/upx/upx.SlackBuild
parent80f94d000c1b5bf429db7da6373197ca2bd9d88a (diff)
downloadslackbuilds-a1d08a2f5c442432b9cf083e717b8d315205dead.tar.gz
system/upx: Added (Ultimate Packer for eXecutables)
Signed-off-by: Erik Hanson <erik@slackbuilds.org>
Diffstat (limited to 'system/upx/upx.SlackBuild')
-rw-r--r--system/upx/upx.SlackBuild81
1 files changed, 81 insertions, 0 deletions
diff --git a/system/upx/upx.SlackBuild b/system/upx/upx.SlackBuild
new file mode 100644
index 0000000000..68fa75a574
--- /dev/null
+++ b/system/upx/upx.SlackBuild
@@ -0,0 +1,81 @@
+#!/bin/sh
+
+# Slackware build script for upx
+
+# Copyright 2010 Binh Nguyen <binhnguyen@fastmail.fm>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=upx
+VERSION=${VERSION:-3.07}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -eu
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION-src
+tar xvf $CWD/$PRGNAM-$VERSION-src.tar.bz2
+cd $PRGNAM-$VERSION-src
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Extract LZMA SDK to a proper place for use at build-time
+mkdir -p $TMP/lzma465
+tar xvf $CWD/lzma465.tar.bz2 -C $TMP/lzma465
+
+make UPX_LZMA_VERSION=0x465 UPX_LZMADIR=$TMP/lzma465 all
+install -D src/upx.out $PKG/usr/bin/upx
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+install -D -m 644 doc/upx.1 $PKG/usr/man/man1/upx.1
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a BUGS COPYING LICENSE NEWS PROJECTS README* THANKS TODO \
+ doc/*.txt doc/upx.pod \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}